Bug 251270 - error writing backup files when using vigr
Summary: error writing backup files when using vigr
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-08 02:31 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 17:00:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-08-08 02:31:15 UTC
Description of problem:

vigr invokes $EDITOR. If $EDITOR is jed, you get:

Summary
    SELinux is preventing /usr/bin/jed (sysadm_passwd_t) "create" to .#gtmp
    (etc_t).

Detailed Description
    SELinux denied access requested by /usr/bin/jed. It is not expected that
    this access is required by /usr/bin/jed and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for .#gtmp, restorecon -v .#gtmp If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:sysadm_passwd_t
Target Context                system_u:object_r:etc_t
Target Objects                .#gtmp [ lnk_file ]
Affected RPM Packages         jed-0.99.18-5.fc6 [application]
Policy RPM                    selinux-policy-3.0.5-2.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     nostromo.devel.redhat.com
Platform                      Linux nostromo.devel.redhat.com
                              2.6.23-0.71.rc2.fc8 #1 SMP Sat Aug 4 01:21:06 EDT
                              2007 x86_64 x86_64
Alert Count                   3
First Seen                    Tue 07 Aug 2007 10:27:06 PM EDT
Last Seen                     Tue 07 Aug 2007 10:27:19 PM EDT
Local ID                      7f139a36-b6b1-4d3f-bafd-557f1bf76896
Line Numbers                  

Raw Audit Messages            

avc: denied { create } for comm="jed" egid=0 euid=0 exe="/usr/bin/jed" exit=-13
fsgid=0 fsuid=0 gid=0 items=0 name=".#gtmp" pid=24844
scontext=system_u:system_r:sysadm_passwd_t:s0 sgid=0
subj=system_u:system_r:sysadm_passwd_t:s0 suid=0 tclass=lnk_file
tcontext=system_u:object_r:etc_t:s0 tty=pts2 uid=0

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.0.5-2.fc8

Comment 1 Daniel Walsh 2007-08-09 18:40:31 UTC
Fixed in selinux-policy-3.0.5-3.fc8

Comment 2 Daniel Walsh 2007-09-12 17:00:46 UTC
ALready fixed in rawhide



Note You need to log in before you can comment on or make changes to this bug.